This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 676729 - server log files have incorrect permissions/ownerships
server log files have incorrect permissions/ownerships
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Noriko Hosoi
Chandrasekar Kannan
: screened
Depends On: 604881
Blocks: 639035 389_1.2.8 676871
  Show dependency treegraph
 
Reported: 2011-02-10 18:26 EST by Noriko Hosoi
Modified: 2015-01-04 18:46 EST (History)
4 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.8-0.3.a3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 604881
Environment:
Last Closed: 2011-05-19 08:41:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Noriko Hosoi 2011-02-10 18:26:08 EST
Description of problem:
Cloning Bug 604881 - server log files have incorrect permissions/ownerships
Comment 1 Noriko Hosoi 2011-02-10 18:29:06 EST
The patch for this has been pushed to the 389-ds-base-1.2.8 branch.

$ git cherry-pick 513e5a83ff806e9dcfa9b32287e2ce7b6ff95ddf
Finished one cherry-pick.
[ds128-local 96bb64a] Bug 604881 - admin server log files have incorrect
permissions/ownerships
 1 files changed, 6 insertions(+), 6 deletions(-)
$ git push origin ds128-local:389-ds-base-1.2.8
Counting objects: 11, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (6/6), 884 bytes, done.
Total 6 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   ceec7ba..96bb64a  ds128-local -> 389-ds-base-1.2.8
Comment 4 Amita Sharma 2011-04-25 02:20:49 EDT
Hi,

I have tested this bug :

Steps:
1. cd /var/log/dirsrv/slapd-amitesthost
2. [root@amitesthost slapd-amitesthost]# ls -alrt
total 32
drwxr-xr-x. 3 root   root   4096 Apr 13 10:55 ..
-rw-------. 1 nobody nobody   63 Apr 13 10:55 errors.rotationinfo
-rw-------. 1 nobody nobody   63 Apr 13 10:55 audit.rotationinfo
-rw-------. 1 nobody nobody    0 Apr 13 10:55 audit
-rw-------. 1 nobody nobody   63 Apr 13 10:55 access.rotationinfo
-rw-------. 1 nobody nobody 1853 Apr 13 18:33 errors
drwxrwx---. 2 nobody nobody 4096 Apr 13 19:09 .
-rw-------. 1 nobody nobody 5996 Apr 13 19:35 access
3.chown root:root errors access
[root@amitesthost slapd-amitesthost]# ls -alrt
total 32
drwxr-xr-x. 3 root   root   4096 Apr 13 10:55 ..
-rw-------. 1 nobody nobody   63 Apr 13 10:55 errors.rotationinfo
-rw-------. 1 nobody nobody   63 Apr 13 10:55 audit.rotationinfo
-rw-------. 1 nobody nobody    0 Apr 13 10:55 audit
-rw-------. 1 nobody nobody   63 Apr 13 10:55 access.rotationinfo
drwxrwx---. 2 root   root   4096 Apr 13 19:09 .
-rw-------. 1 root   root   5996 Apr 13 19:35 access
-rw-------. 1 root   root   2507 Apr 14 18:35 errors
4. service dirsrv restart
5. [root@amitesthost slapd-amitesthost]# ls -alrt
total 32
drwxr-xr-x. 3 root   root   4096 Apr 13 10:55 ..
-rw-------. 1 nobody nobody   63 Apr 13 10:55 errors.rotationinfo
-rw-------. 1 nobody nobody   63 Apr 13 10:55 audit.rotationinfo
-rw-------. 1 nobody nobody    0 Apr 13 10:55 audit
-rw-------. 1 nobody nobody   63 Apr 13 10:55 access.rotationinfo
drwxrwx---. 2 root   root   4096 Apr 13 19:09 .
-rw-------. 1 nobody nobody 5996 Apr 13 19:35 access
-rw-------. 1 nobody nobody 3161 Apr 14 19:01 errors

Test passed, Marking it as verified.

- Amita
Comment 5 errata-xmlrpc 2011-05-19 08:41:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0533.html

Note You need to log in before you can comment on or make changes to this bug.